routes/web.php
<?php

/*
  |--------------------------------------------------------------------------
  | Web Routes
  |--------------------------------------------------------------------------
  |
  | Here is where you can register web routes for your application. These
  | routes are loaded by the RouteServiceProvider within a group which
  | contains the "web" middleware group. Now create something great!
  |
 */
Route::prefix('admin')->namespace('Admin')->group(function () {

    Route::get('/', 'LoginController@index');
    Route::get('login', 'LoginController@index');
    Route::get('login/check', 'LoginController@check');
    Route::post('login/check', 'LoginController@check');
    Route::get('logout', 'LoginController@logout');



    Route::middleware(['AdminAuth'])->group(function () {

        /* Route::resource('dashboard', 'DashboardController@index'); */

        Route::get('dashboard', 'DashboardController@index')->name('dashboard');
        
        Route::any('territorystore', 'DashboardController@territorySession')->name('territorystore');
        //for jobopenings
        Route::resource('jobs', 'JobOpeningController');
        Route::get('jobs/{id}/create', 'JobOpeningController@create')->name('job_create');
        Route::post('jobs/destroy', 'JobOpeningController@destroy')->name('job_destroy');
        Route::post('jobs/change_status', 'JobOpeningController@status')->name('job_status');
        // City List
        Route::post('jobs/city-list', 'JobOpeningController@getCityList')->name('job-city-list');
        // Approve Job
        Route::get('jobs/approve/{id}', 'JobOpeningController@approveJob')->name('approve-job');
        //Job requested
        Route::get('jobsrequested', 'JobOpeningController@jobRequestedProfile')->name('jobRequestedProfile');

        //clients
        Route::resource('clients', 'ClientsController');
        Route::post('clients/change_status', 'ClientsController@status')->name('client_status');
        Route::get('clients/requestedprofile/{id}', 'ClientsController@viewRequestProfile')->name('viewRequestProfile');
        Route::get('clients/approverequestedprofile/{id}', 'ClientsController@approveRequestProfile')->name('approvprofileadmin');
        Route::get('clients/cancelrequestedprofile/{id}', 'ClientsController@cancelRequestProfile')->name('cancelprofileadmin');
        Route::get('clients/delete/{id}', 'ClientsController@deleteClient')->name('deleteclient');
        // Restore Client Contact Account
        Route::get('restoreaccount/{id}', 'ClientsController@restoreClientContactAccount')->name('restore-clientcontact-account');
        
        //Requsted profile view
        Route::get('/requestprofilelist', 'ClientsController@indexRequestProfile')->name('indexRequestProfile');
        Route::get('requestprofilelist/downloadcv/{id}', 'ClientsController@formattedResumeDownload')->name('formattedResumeDownload');

        Route::post('requestprofilelist/delete', 'ClientsController@multipleDeleteRequest')->name('multipledeleteRequestedprofile');
        Route::post('requestprofilelist/downloadcv', 'ClientsController@multipleFormattedResumeDownload')->name('multipleFormattedResumeDownload');

        //consultant
        Route::resource('consultant', 'ConsultantController');
        Route::post('consultant/change_status', 'ConsultantController@status')->name('consultant_status');
        Route::get('consultant/edit/{id}', 'ConsultantController@editConsultant')->name('editConsultant');
        Route::post('consultant/edit/summaryapprove/{id}', 'ConsultantController@summaryApprove')->name('consultantsummaryapprove');
        Route::get('consultant/delete/{id}', 'ConsultantController@deleteConsultant')->name('delete-consultant');
        Route::get('consultant/associate-jobopenings/{id}', 'ConsultantController@associateJobOpenings')->name('associate-job-openings');
        Route::post('consultant/change-consultant-status', 'ConsultantController@changeConsultantStatus')->name('change-consultant-status');
        // Upcoming Interviews
        Route::get('upcoming-interviews', 'ConsultantController@upcomingInterviews')->name('upcoming_interviews');
        // Add candidate experience
        Route::any('add/experience/{id}', 'ConsultantController@addExperience')->name('addexperience');
        // Restore Consultant Account
        Route::get('restoreconsultantaccount/{id}', 'ConsultantController@restoreConsultantAccount')->name('restore-consultant-account');
        
        // Edit candidate experience
        Route::any('edit/experience/{id}', 'ConsultantController@updateExperience')->name('updateexperience');
        // Add candidate experience
        Route::any('delete/experience/{id}', 'ConsultantController@deleteExperience')->name('deleteexperience');
        
        // Add candidate education
        Route::any('add/education/{id}', 'ConsultantController@addEducation')->name('addeducation');
        // Edit candidate education
        Route::any('edit/education/{id}', 'ConsultantController@updateEducation')->name('updateeducation');
        // Delete candidate experience
        Route::any('delete/education/{id}', 'ConsultantController@deleteEducation')->name('deleteeducation');
        // Add candidate reference
        Route::any('add/reference/{id}', 'ConsultantController@addReference')->name('addreference');
        // Edit candidate reference
        Route::any('edit/reference/{id}', 'ConsultantController@updateReference')->name('updatereference');
        // Delete candidate reference
        Route::any('delete/reference/{id}', 'ConsultantController@deleteReference')->name('deletereference');
        //systemuser
        Route::resource('systemuser', 'UserController');
        Route::post('systemuser-exists', 'UserController@isUserEmailExists')->name('isUserEmailExists');
        Route::post('systemuser/change_status', 'UserController@status')->name('systemuser_status');

        Route::post('systemuser/delete', 'UserController@delete')->name('systemuser_delete');

        Route::get('systemuser/deleterecord/{id}', 'UserController@deleteSingleRecord')->name('systemuser_delete_record');

        Route::post('systemuser/changepwd', 'UserController@changepwd')->name('changepwd');

        /* Setting Start */
        // Setting email templates
        Route::get('settings/emailtemplate', 'SettingController@emailTemplates')->name('emailtemplate');
        // Edit Email Template
        Route::get('settings/emailtemplate/edit/{id}', 'SettingController@editEmailTemplate')->name('editemailtemplate');
        // Update Email Template Settings
        Route::post('settings/emailtemplate/update', 'SettingController@updateEmailTemplate')->name('updateemailtemplate');
        // Edit Site Settings
        Route::get('settings/site', 'SettingController@site')->name('site');
        // Update Site Settings
        Route::post('settings/updatesite', 'SettingController@updateSiteSettings')->name('updatesite');
        // FAQ List
        Route::get('faq', 'SettingController@faq')->name('faq');
        // Add FAQ
        Route::any('faq/add', 'SettingController@addFAQ')->name('addfaq');
        // Update FAQ
        Route::any('faq/update/{id}', 'SettingController@updateFAQ')->name('updatefaq');
        // Delete FAQ
        Route::get('faq/delete/{id}', 'SettingController@deleteFAQ')->name('deletefaq');
        //Notification
        Route::get('settings/notification', 'SettingController@notification')->name('adminnotification');
        //Sync data from zoho
        Route::any('synczohodata', 'SettingController@syncZohoData')->name('synczohodata');
        // Verifry Admin Password
        Route::post('verifrypassword', 'SettingController@verifyAdminPassword')->name('verify_admin_password');
        // Taglines
        Route::any('taglines', 'SettingController@tagLines')->name('taglines');
        // Add tagline
        Route::any('tagline/add', 'SettingController@addTagline')->name('addtagline');
        // Update tagline
        Route::any('tagline/update/{id}', 'SettingController@updateTagline')->name('updatetagline');
        // Delete tagline
        Route::get('tagline/delete/{id}', 'SettingController@deleteTagline')->name('deletetagline');
        // Read and Remove Notification Counter
        Route::post('/readadminnotification', 'SettingController@readNotification')->name('readadminnotification');
        // Change Contact Password
        Route::get('changecontactpassword/{id}', 'ClientsController@contactChangePassword')->name('changecontactpassword');
        
        
        
    });
});

Route::get('/', 'HomeController@checkCountry')->name('checkcountry');
//Route::get('/', 'HomeController@index')->name('dashboard');

Route::middleware(['DefaultLocale'])->prefix('{locale}')->group(function () {
    Route::get('/', 'HomeController@index')->name('home');
  
    Route::get('/login-successful', 'HomeController@loginRedirect')->name('login-successful');
});

Route::get('/apicalltest', 'ApiController@test');
// Route::get('/', 'ApiController@test');

/* Auth::routes();
  Route::get('/admin', 'Auth\LoginController@login'); */
/* Route::get('admin/dashboard', 'HomeController@dashboard')->name('dashboard'); */

/* Route::middleware(['auth'])->group(function () { */
Route::any('/setterritories', 'HomeController@setTerritories')->name('setterritories');


/*});*/

resources/views/backend/jobs/index.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                @if(Session::has('success'))
                <div class="alert alert-success alert-dismissable">
                    {{ Session::get('success') }}
                </div>
                @endif

                @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissable">
                    {{ Session::get('error') }}
                </div>
                @endif
                <div class="ibox-title">
                    <div class="row">
                        <div class="col-md-9">
                            <h5>Job Openings </h5>
                        </div>
                        {{-- <div class="col-md-3 pull-right">
                                <a href="{{route('jobs.create')}}" type="button" class="btn btn-outline btn-primary pull-right">Create</a>
                        </div> --}}
                    </div>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        {{Form::open(['route'=>['jobs.index'],'method'=>'get'])}}
                        <div class="col-sm-1 m-b-xs">
                        </div>
                        <div class="col-sm-1 m-b-xs">

                        </div>
                        <div class="col-sm-10">
                            <div class="input-group cus-refresh">
                                <a href="{{route('jobs.index')}}"><i class="fa fa-refresh"></i></a>
                            </div>
                            <div class="input-group width20">
                                {{Form::text('s',old('s'),['class'=>'input-sm form-control','placeholder' => 'Search'])}}

                                <span class="input-group-btn">
                                    <button type="submit" class="btn btn-sm btn-primary"> Search</button> 
                                </span>

                            </div>
                            <div class="input-group width20">
                                {{Form::select('status',[''=>'Select Status']+$statusArray,old('consultant_id'),['class'=>'input-sm form-control'])}}
                            </div>

                            <div class="input-group width20">
                                {{Form::select('consultant_id',[''=>'Select Consultant']+$consultantarray,old('consultant_id'),['class'=>'input-sm form-control'])}}
                            </div>
                            <div class="input-group width20">
                                {{Form::select('client_id',[''=>'Select Client']+$clientarray,old('client_id'),['class'=>'input-sm form-control'])}}
                            </div>

                        </div>
                        {{Form::close()}} 
                    </div>
                    <div class="table-responsive1">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Job Id </th>
                                    <th>Client Name</th>
                                    
                                    <th>Posting Title </th>
                                    <th>Job Type </th>
                                    <th>Job Mode</th>
                                    <th>City</th>
                                    <th>Associated Candidates</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                @if(count($jobs))
                                @foreach($jobs as $row)

                                <tr>
                                    <td>{{ $row->Job_ID ? $row->Job_ID : '-'}}</td>
                                    <td>
                                    @if($row->client != null)
                                    <a href="{{route('clients.index',['clientid' => $row->client->CLIENTID])}}">{{$row->client->client_name}}</a>
                                    @else
                                    {{"-"}}
                                    @endif
                                    </td>
                                     
                                    <td>{{ $row->posting_title ? $row->posting_title : '-'}}</td>
                                    <td>{{ $row->job_type ? $row->job_type : '-'}}</td>
                                    <td>{{$row->job_mode ? $row->job_mode : '-'}}</td>
                                    <td>{{$row->city ? $row->city : '-'}}</td>
                                    <td>
                                        @if($row->associatecandidates != null)
                                        <ul class="candidate-ul">
                                            @foreach ($row->associatecandidates as $k => $val)
                                            @if($val->consultant != null)
                                                @if($k < 3)
                                                <li>{{$val->consultant->first_name .' '.$val->consultant->last_name}}</li>
                                                @else
                                                <li class="candidate-li hide">{{$val->consultant->first_name .' '.$val->consultant->last_name}}</li>
                                                @endif
                                            @endif
                                            @endforeach
                                        </ul>
                                        @if(count($row->associatecandidates) > 3)
                                        <span class="more-less-link"><a href="javascript:void(0)" class="view-more-associated-candidate">View More</a></span>
                                        @endif
                                        @else
                                        {{"-"}}
                                        @endif
                                    </td>
                                    <?php
                                    $color = '';
                                    if ($row->job_opening_status == 'On-Hold') {
                                        $color = 'btn-warning';
                                    } elseif ($row->job_opening_status == 'Filled') {
                                        $color = 'btn-info';
                                    } else {
                                        $color = 'btn-danger';
                                    }

                                    if($row->job_opening_status == 'Pending'){
                                        $btnClass = 'btn-warning';
                                    } else {
                                        $btnClass = 'btn-danger';
                                    }
                                    if ($row->job_opening_status == 'In-progress') {
                                        $status = 'Active';
                                    } else {
                                        $status = $row->job_opening_status;
                                    }
                                    ?>
                                    <?php if ($row->job_opening_status == 'In-progress') { ?>
                                        <td class="status-btn">
                                            <button class="btn btn-xs btn-primary" data-id="{{$row->id}}">{{$status}}</button>
                                        </td>
                                    <?php } elseif ($row->job_opening_status == 'Inactive' || $row->job_opening_status == 'Pending') { ?>
                                        <td class="status-btn">
                                            <button class="btn btn-xs {{$btnClass}}" data-id="{{$row->id}}">{{$status}}</button>
                                        </td>
                                    <?php } else { ?>
                                        <td class="status-btn">
                                            <button class="btn btn-xs {{$color}}" data-id="{{$row->id}}">{{$status}}</button>
                                        </td>
                                    <?php } ?>
                                    <td>
                                        <a href="{{route('jobs.edit',[$row->id])}}" data-id="{{$row->id}}" class="cus-icon" title="Edit Job"><i class="fa fa-pencil"></i></a>
                                        <a href="javascript:void(0)" data-id="{{$row->id}}" class="cus-icon job-delete" title="Delete Job"><i class="fa fa-trash"></i></a>
                                    </td>
                                </tr>
                                @endforeach
                                @endif
                                @if(!count($jobs))
                                <tr><td colspan="9"><h4 class="text-center">No Records Found</h4></td></tr>
                                @endif
                            </tbody>
                        </table>
                        @if(isset($jobs)){!! $jobs->render() !!}@endif 
                    </div>

                </div>
            </div>
        </div>

    </div>
    @include('Layouts.backend.foot')
</div>

@endsection('content')

resources/views/backend/jobs/jobrequestedprofile.blade.php
@extends('Layouts.backend.main')
@section('content')
@include('Layouts.backend.sidebar')
<div id="page-wrapper" class="gray-bg dashbard-1">
    @include('Layouts.backend.header')
    <div class="row">
        <div class="col-lg-12">
            <div class="ibox float-e-margins">
                @if(Session::has('success'))
                <div class="alert alert-success alert-dismissable">
                    {{ Session::get('success') }}
                </div>
                @endif

                @if(Session::has('error'))
                <div class="alert alert-danger alert-dismissable">
                    {{ Session::get('error') }}
                </div>
                @endif
                <div class="ibox-title">
                    <h5>Job Request </h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        {{Form::open(['route'=>['jobRequestedProfile'],'method'=>'get'])}}
                        <div class="col-sm-1 m-b-xs">
                        </div>
                        <div class="col-sm-1 m-b-xs">

                        </div>
                        <div class="col-sm-10">
                            <div class="input-group cus-refresh">
                                <a href="{{route('jobRequestedProfile')}}"><i class="fa fa-refresh"></i></a>
                            </div>
                            <div class="input-group width25">
                                {{Form::text('s',old('s'),['class'=>'input-sm form-control','placeholder' => 'Search'])}}

                                <span class="input-group-btn">
                                    <button type="submit" class="btn btn-sm btn-primary"> Search</button> 
                                </span>

                            </div>


                            <div class="input-group width25">
                                {{Form::select('consultant_id',[''=>'Select Consultant']+$consultantarray,old('consultant_id'),['class'=>'input-sm form-control'])}}
                            </div>
                            <div class="input-group width25">
                                {{Form::select('client_id',[''=>'Select Client']+$clientarray,old('client_id'),['class'=>'input-sm form-control'])}}
                            </div>

                        </div>
                        {{Form::close()}} 
                    </div>
                    <div class="table-responsive1">
                        <table class="table table-striped">
                            <thead>
                                <tr>
                                    <th>Job Id </th>
                                    <th>Client Name</th>
                                    <th>Consultant Name</th>
                                    <th>Post Title </th>
                                    <th>Job Type </th>
                                    <th>Job Mode</th>
                                    <th>City</th>
                                    <th>Status</th>
                                    <th>Action</th>
                                </tr>
                            </thead>
                            <tbody>

                                @if(count($jobs))
                                @foreach($jobs as $row)

                                <tr>
                                    <td>{{ $row->Job_ID ? $row->Job_ID : '-'}}</td>
                                    <td>
                                        @if($row->client != null)
                                        <a href="{{route('clients.index',['clientid' => $row->client->CLIENTID])}}">{{$row->client->client_name}}</a>
                                        @else
                                        {{"-"}}
                                        @endif
                                    </td>
                                     <td>
                                        <?php
                                       
                                        if (!empty($row->associatecandidates) ) {
                                            
                                            $can = array();
                                            foreach ($row->associatecandidates as $val) {
                                                if (!empty($val)) {
                                                    $first_name = $last_name= '';
                                                    if(!empty($val->consultant->first_name)){
                                                        $first_name = $val->consultant->first_name;
                                                    }
                                                    if(!empty($val->consultant->last_name)){
                                                        $last_name = $val->consultant->last_name;
                                                    }
                                                    $can[] = $first_name . ' ' . $last_name;
                                                }
                                            }
                                            if (count($can)) {
                                                $commaList = implode(', ', $can);   
                                                if (count($commaList)) {
                                                    echo $commaList;
                                                } else {
                                                    echo '-';
                                                }
                                            }else{
                                                echo '-';
                                            }
                                        }
                                        ?>
                                    </td>
                                    <td>
                                        <a href="{{route('jobs.index',['jobid' => $row->id])}}">{{ $row->posting_title ? $row->posting_title : '-'}}</a>
                                    </td>
                                    <td>{{ $row->job_type ? $row->job_type : '-'}}</td>
                                    <td>{{$row->job_mode ? $row->job_mode : '-'}}</td>
                                    <td>{{$row->city ? $row->city : '-'}}</td>

                                    <?php
                                    $color = '';
                                    if ($row->job_opening_status == 'On-Hold') {
                                        $color = 'btn-warning';
                                    } elseif ($row->job_opening_status == 'Filled') {
                                        $color = 'btn-info';
                                    } else {
                                        $color = 'btn-danger';
                                    }

                                    if ($row->job_opening_status == 'In-progress') {
                                        $status = 'Active';
                                    } else {
                                        $status = $row->job_opening_status;
                                    }
                                    ?>
                                    <?php if ($row->job_opening_status == 'In-progress') { ?>
                                        <td class="status-btn">
                                            <button class="btn btn-xs btn-primary" data-id="{{$row->id}}">{{$status}}</button>
                                        </td>
                                    <?php } elseif ($row->job_opening_status == 'Inactive' || $row->job_opening_status == 'Pending') { ?>
                                        <td class="status-btn">
                                            <button class="ibtn btn-xs btn-danger" data-id="{{$row->id}}">{{$status}}</button>
                                        </td>
                                    <?php } else { ?>
                                        <td class="status-btn">
                                            <button class="btn btn-xs {{$color}}" data-id="{{$row->id}}">{{$status}}</button>
                                        </td>
                                    <?php } ?>
                                    <td>
                                        <a href="{{route('jobs.edit',[$row->id])}}" data-id="{{$row->id}}" class="cus-icon" title="Edit Job"><i class="fa fa-pencil"></i></a>
                                        @if($row->job_opening_status=='Inactive' || $row->job_opening_status=='Pending')
                                        <a href="javascript:void(0)" data-id="{{$row->id}}" class="cus-icon job-delete" title="Delete Job"><i class="fa fa-trash"></i></a>
                                        @else
                                        -
                                        @endif
                                    </td>
                                </tr>
                                @endforeach
                                @endif
                                @if(!count($jobs))
                                <tr><td colspan="9"><h4 class="text-center">No Records Found</h4></td></tr>
                                @endif
                            </tbody>
                        </table>
                        @if(isset($jobs)){!! $jobs->render() !!}@endif 
                    </div>

                </div>
            </div>
        </div>

    </div>
    @include('Layouts.backend.foot')
</div>

@endsection('content')